﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DataLoader.Common.Model
{
    public class NoteMapping
    {
        private string[,] map = new string[,]
        {
            {"Case name","CASE"},
            {"Pat SSN","PAT_SSN"},
            {"Note title","TIU_NAME"},
            {"Clinic","VLOC"},
            {"Visit datetime","VDT"},
            {"Provider","PROV"},
            {"Note text","TEXT"}
        };

        public string ExcellMapping(string header)
        {
            string excell;
            string vista;
            string result = "";
            for (int i = 0; i <= map.GetUpperBound(0); i++)
            {
                excell = map[i, 0];
                vista = map[i, 1];
                if (header == excell)
                {
                    result = vista;
                    break;
                }
            }
            return result;
        }
    }
}
