﻿using System;

namespace DataLoader.Common.Model
{
    /// <summary>
    /// Patient model
    /// </summary>
    [Serializable]
    public class Patient
    {
        public string PatientDFN { get; set; }
        public string PatientICN { get; set; }
        public string PatientName { get; set; }
        public string PatientID { get; set; }
        public string Sex { get; set; }
        public string DOB { get; set; }
        public string Age { get; set; }
        public string SSN { get; set; }
        public string CaseName { get; set; }

        public void Clear()
        {
            PatientDFN = null;
            PatientName = null;
            SSN = null;
            CaseName = null;
        }
    }
}
