﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DataLoader.Common.Model
{
    public class ProblemMapping
    {
        private string[,] map = new string[,]
        {
            {"Case name","CASE"},
            {"Dr name","PROVIDER"},
            {"ICD9 description","PROBLEM"},
            {"Problem onset date","ONSET"},
            {"Problem status","STATUS"},
            {"Problem type","TYPE"},
            {"Pat SSN","PAT_SSN"}
        };

        public string ExcellMapping(string header)
        {
            string excell;
            string vista;
            string result = "";
            for (int i = 0; i <= map.GetUpperBound(0); i++)
            {
                excell = map[i, 0];
                vista = map[i, 1];
                if (header == excell)
                {
                    result = vista;
                    break;
                }
            }
            return result;
        }
    }
    
    
}
