﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DataLoader.Common.Model
{
    public class RadMapping
    {
        private string[,] map = new string[,]
        {
            {"Case name","CASE"},
            {"Rad Procedure","RAPROC"},
            {"Imaging Location","MAGLOC"},
            {"Requesting Provider","PROV"},
            {"Exam DateTime","RADTE"},
            {"Exam Category","EXAMCAT"},
            {"Request Location","REQLOC"},
            {"Reason","REASON"},
            {"Clinical History","HISTORY"},
            {"Pat SSN","PAT_SSN"}
        };

        public string ExcellMapping(string header)
        {
            string excell;
            string vista;
            string result = "";
            for (int i = 0; i <= map.GetUpperBound(0); i++)
            {
                excell = map[i, 0];
                vista = map[i, 1];
                if (header == excell)
                {
                    result = vista;
                    break;
                }
            }
            return result;
        }
    }
}
