﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DataLoader.Common.Model
{
    public class Column
    {
        public string[] ColumnArray = new string[100];

        public bool PatientColumnArraySet(string columnname, int columnum)
        {
            switch (columnname)
            {
                case "Case name":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Last name":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "First name":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Gender":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "DOB":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Race":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Ethnicity":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Employment status":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Insurance":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Occupation":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "US veteran":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Marital status":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "SSN":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "City":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "State":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Zip":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Phone":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                default:
                    {
                        ColumnArray[columnum] = "***";
                        return false;
                    }
            }
        }

        public bool ColumnCheck(int columnnum)
        {
            if (ColumnArray[columnnum] != "***")
                return true;
            else
                return false;
        }

        public bool ApptColumnArraySet(string columnname, int columnum)
        {
            switch (columnname)
            {
                case "Case name":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Appt date":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Appt clinic":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Pat SSN":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                default:
                    {
                        ColumnArray[columnum] = "***";
                        return false;
                    }
            }
        }

        public bool ProbColumnArrarySet(string columnname, int columnum)
        {
            switch (columnname)
            {
                case "Case name":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "ICD9 description":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Dr name":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Problem onset date":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Problem status":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Problem type":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Pat SSN":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                default:
                    {
                        ColumnArray[columnum] = "***";
                        return false;
                    }
            }
        }

        public bool VitalColumnArraySet(string columnname, int columnum)
        {
            switch (columnname)
            {
                case "Case name":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Vital type":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Rate 1":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Rate 2":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Clinic":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Date":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Taken by":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Pat SSN":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                default:
                    {
                        ColumnArray[columnum] = "***";
                        return false;
                    }
            }
        }

        public bool AllergyColumnArraySet(string columnname, int columnum)
        {
            switch (columnname)
            {
                case "Case name":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Allergen":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Symptom":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Origination date":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Entered by":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Pat SSN":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                default:
                    {
                        ColumnArray[columnum] = "***";
                        return false;
                    }
            }
        }

        public bool LabColumnArraySet(string columnname, int columnum)
        {
            switch (columnname)
            {
                case "Case name":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Pat SSN":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Lab test":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Result date":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Result value":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Location":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                default:
                    {
                        ColumnArray[columnum] = "***";
                        return false;
                    }
            }
        }

        public bool NoteColumnArraySet(string columnname, int columnum)
        {
            switch (columnname)
            {
                case "Case name":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Pat SSN":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Note title":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Clinic":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Visit datetime":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Provider":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Note text":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                default:
                    {
                        ColumnArray[columnum] = "***";
                        return false;
                    }
            }
        }

        public bool MedColumnArraySet(string columnname, int columnum)
        {
            switch (columnname)
            {
                case "Case name":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Pat SSN":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Medication":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Fill Date":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Expire Date":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Schedule":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Quantity":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Days supply":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Number of refills":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Provider":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                default:
                    {
                        ColumnArray[columnum] = "***";
                        return false;
                    }
            }
        }

        public bool ConsultColumnArraySet(string columnname, int columnum)
        {
            switch (columnname)
            {
                case "Case name":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Pat SSN":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Consult":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Location":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Provider":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Reason for request":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                default:
                    {
                        ColumnArray[columnum] = "***";
                        return false;
                    }
            }
        }

        public bool RadColumnArraySet(string columnname, int columnum)
        {
            switch (columnname)
            {
                case "Case name":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Pat SSN":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Rad Procedure":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Imaging Location":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Requesting Provider":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Exam DateTime":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Exam Category":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Request Location":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Reason":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                case "Clinical History":
                    {
                        ColumnArray[columnum] = columnname;
                        return true;
                    }
                default:
                    {
                        ColumnArray[columnum] = "***";
                        return false;
                    }
            }
        }

    }

    public class Worksheet
    {
        public string TableName(string name)
        {
            switch (name)
            {
                case "Patient":
                    return "Patients$";
                    //return "'PM data$'";
                case "Appointment":
                    //return "'PM data$'";
                    return "Appts$";
                case "Problem":
                    //return "'EMR data$'";
                    return "Problems$";
                case "Vital":
                    return "Vitals$";
                case "Allergy":
                    return "Allergies$";
                case "Lab":
                    return "Labs$";
                case "Note":
                    return "Notes$";
                case "Med":
                    return "Meds$";
                case "Consult":
                    return "Consults$";
                case "Rad":
                    return "RadOrders$";
                default:
                    return "";
            }
        }
    }
}


