﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DataLoader.Common.Model
{
    public class PntMapping
    {
        private string[,] map = new string[,]
        {
            {"Case name","CASE"},
            {"Last name","NAME"},
            {"First name","NAME"},
            {"Gender","SEX"},
            {"DOB","DOB"},
            {"Race","RACE"},
            {"Ethnicity","ETHNICITY"},
            {"Employment status","EMPLOY_STAT"},
            {"Insurance","INSUR_TYPE"},
            {"Occupation","OCCUPATION"},
            {"US veteran","VETERAN"},
            {"Marital status","MARITAL_STATUS"},
            {"SSN","SSN"},
            {"city","CITY"},
            {"State","STATE"},
            {"Zip","ZIP_4"},
            {"Phone","PH_NUM"}
        };

        public string ExcellMapping(string header)
        {
            string excell;
            string vista;
            string result = "";
            for (int i = 0; i <= map.GetUpperBound(0); i++)
            {
                excell = map[i, 0];
                vista = map[i, 1];
                if (header == excell)
                {
                    result = vista;
                    break;
                }
            }
            return result;
        }

    }
}
