﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DataLoader.Common.Model
{
    public class VitalMapping
    {
        private string[,] map = new string[,]
        {
            {"Case name","CASE"},
            {"Vital type","VITAL_TYPE"},
            {"Rate 1","RATE"},
            {"Rate 2","RATE"},
            {"Clinic","LOCATION"},
            {"Date","DT_TAKEN"},
            {"Taken by","ENTERED_BY"},
            {"Pat SSN","PAT_SSN"}
        };

        public string ExcellMapping(string header)
        {
            string excell;
            string vista;
            string result = "";
            for (int i = 0; i <= map.GetUpperBound(0); i++)
            {
                excell = map[i, 0];
                vista = map[i, 1];
                if (header == excell)
                {
                    result = vista;
                    break;
                }
            }
            return result;
        }
    }
}
